# QNetworkProxyQuery Class Reference

### [com.trolltech.qt.network package]

### Constructor

- void QNetworkProxyQuery()
- void QNetworkProxyQuery(QNetworkProxyQuery other)
- void QNetworkProxyQuery(String hostname, int port, String protocolTag, QueryType queryType)
- void QNetworkProxyQuery(QUrl requestUrl, QueryType queryType)
- void QNetworkProxyQuery(unsigned short bindPort, String protocolTag, QueryType queryType)

### Constructor Properties

- prototype: The QNetworkProxyQuery prototype object
- TcpSocket
- UdpSocket
- TcpServer = 100
- UrlRequest
- QueryType( value )

### Prototype Object Properties

- int localPort()
- bool operator_equal(QNetworkProxyQuery other)
- String peerHostName()
- int peerPort()
- String protocolTag()
- QueryType queryType()
- void setLocalPort(int port)
- void setPeerHostName(String hostname)
- void setPeerPort(int port)
- void setProtocolTag(String protocolTag)
- void setQueryType(QueryType type)
- void setUrl(QUrl url)
- QUrl url()

### Instance Properties

QNetworkProxyQuery objects have no special properties beyond those inherited from the QNetworkProxyQuery prototype object.